[Rubygems-developers] Status of disabling plugins except for command line?

Charles Oliver Nutter headius at headius.com
Thu Dec 23 18:48:21 EST 2010

On Thu, Dec 23, 2010 at 5:08 PM, Eric Hodel <drbrain at segment7.net> wrote:
> We should not release a 1.4 with the perf fix as it incompatibly changes an API.  Releasing a 1.4 with the perf fix is not in line with RubyGems own versioning recommendations (which I should have been following all the way back to 1.0).
> I think 2.0 should be released with the perf fix and more granular plugins.  I can implement granular plugins in a couple days, and I should have some free time to do so next week.

What sort of timeframe are we talking about for 2.0? Because of the
large improvement this fix provides, I almost have a mind to ship it
in JRuby anyway...we take a lot of flak for that startup hit.

- Charlie

More information about the Rubygems-developers mailing list